Package groovy.util

# Class GroovyAssert

java.lang.Object
groovy.util.GroovyAssert

@Deprecated public class GroovyAssert extends Object
Deprecated.
Use the `GroovyAssert` class instead

## Constructor Summary

Constructors
Constructor
Description
`GroovyAssert()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`static Throwable`
`shouldFail(Closure code)`
Deprecated.
Asserts that the given code closure fails when it is evaluated
`static Throwable`
`shouldFail(Class clazz, Closure code)`
Deprecated.
Asserts that the given code closure fails when it is evaluated and that a particular exception is thrown.
`static Throwable`
`shouldFailWithCause(Class clazz, Closure code)`
Deprecated.
Asserts that the given code closure fails when it is evaluated and that a particular exception can be attributed to the cause.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GroovyAssert

public GroovyAssert()
Deprecated.

## Method Details

### shouldFail

public static Throwable shouldFail(Closure code)
Deprecated.
Asserts that the given code closure fails when it is evaluated

Parameters:
  `code` - the code expected to throw the exception
Returns:
  the message of the thrown Throwable

### shouldFail

public static Throwable shouldFail(Class clazz, Closure code)
Deprecated.
Asserts that the given code closure fails when it is evaluated and that a particular exception is thrown.

Parameters:
  `clazz` - the class of the expected exception
  `code` - the closure that should fail
Returns:
  the message of the expected Throwable

### shouldFailWithCause

public static Throwable shouldFailWithCause(Class clazz, Closure code)
Deprecated.
Asserts that the given code closure fails when it is evaluated and that a particular exception can be attributed to the cause. The expected exception class is compared recursively with any nested exceptions using getCause() until either a match is found or no more nested exceptions exist.

If a match is found the error message associated with the matching exception is returned. If no match was found the method will fail.

Parameters:
  `clazz` - the class of the expected exception
  `code` - the closure that should fail
Returns:
  the message of the expected Throwable